﻿#language: ru

Функционал: Выпуск сырной крошки и сыворотки

Сценарий: Выпуск сырной крошки
	Дано Я подключаюсь под "Мастер сырцеха"
	И В командном интерфейсе я выбираю 'Производство' 'Переработки'
	Тогда открылось окно 'Переработки'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Переработка (создание)'
	И в поле 'от' я ввожу текст '12.03.2019  0:00:00'
	И в поле 'Дата смены' я ввожу текст '12.03.2019'
	И я нажимаю кнопку выбора у поля "Рабочий центр"
	Тогда открылось окно 'Рабочие центры'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'    |
		| 'Сырцех' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Переработка (создание) *'
	И я нажимаю кнопку выбора у поля с именем "СкладВыпуск"
	Тогда открылось окно 'Склады'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'    |
		| 'Бассейн соления' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Переработка (создание) *'
	И я перехожу к закладке "Выпуск"
	И в таблице "Выпуск" я нажимаю на кнопку с именем 'ВыпускДобавить'
	И в таблице "Выпуск" я нажимаю кнопку выбора у реквизита "Номенклатура"
	Тогда открылось окно 'Номенклатура'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'  |
		| 'Сырная крошка' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Переработка (создание) *'
	И в таблице "Выпуск" я нажимаю кнопку выбора у реквизита "Серия"
	Тогда открылось окно 'Серии номенклатуры'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	И я жду открытия окна 'Помощник регистрации новой серии' в течение 20 секунд
	И в поле 'Номер' я ввожу текст '1'
	И в поле 'Дата выпуска' я ввожу текст '12.03.2019'
	И я нажимаю на кнопку 'Создать'
	Тогда открылось окно 'Серии номенклатуры'
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Переработка (создание) *'
	И в таблице "Выпуск" я нажимаю кнопку очистить у поля "Спецификация"
	И в таблице "Выпуск" в поле 'Количество' я ввожу текст '4,750'
	И в таблице "Выпуск" в поле 'Количество 1' я ввожу текст '1,000'
	И я нажимаю на кнопку 'Провести и закрыть'
	И я жду закрытия окна 'Переработка (создание) *' в течение 20 секунд
	Тогда открылось окно 'Переработки'
	И Я закрываю окно 'Переработки'

Сценарий: Выпуск сыворотки
	И В командном интерфейсе я выбираю 'Производство' 'Переработки'
	Тогда открылось окно 'Переработки'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Переработка (создание)'
	И в поле 'от' я ввожу текст '12.03.2019  0:00:00'
	И в поле 'Дата смены' я ввожу текст '12.03.2019'
	И я нажимаю кнопку выбора у поля "Рабочий центр"
	Тогда открылось окно 'Рабочие центры'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'    |
		| 'Сырцех' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Переработка (создание) *'
	И я нажимаю кнопку выбора у поля с именем "СкладВыпуск"
	Тогда открылось окно 'Склады'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'СОМ'          |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Переработка (создание) *'
	И я перехожу к закладке "Выпуск"
	И в таблице "Выпуск" я нажимаю на кнопку с именем 'ВыпускДобавить'
	И в таблице "Выпуск" я нажимаю кнопку выбора у реквизита "Номенклатура"
	Тогда открылось окно 'Номенклатура'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Сыворотка'    |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Переработка (создание) *'
	И в таблице "Выпуск" я нажимаю кнопку выбора у реквизита "Серия"
	Тогда открылось окно 'Серии номенклатуры'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	И я жду открытия окна 'Помощник регистрации новой серии' в течение 20 секунд
	И в поле 'Номер' я ввожу текст '1'
	И в поле 'Дата выпуска' я ввожу текст '08.03.2019'
	И я нажимаю на кнопку 'Создать'
	Тогда открылось окно 'Серии номенклатуры'
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Переработка (создание) *'
	И в таблице "Выпуск" я нажимаю кнопку очистить у поля "Спецификация"
	И в таблице "Выпуск" в поле 'Количество' я ввожу текст '250,000'
	И я нажимаю на кнопку 'Провести и закрыть'
	И я жду закрытия окна 'Переработка (создание) *' в течение 20 секунд
	Тогда открылось окно 'Переработки'
	И Я закрываю окно 'Переработки'

Сценарий: 10_milk_scenario.01.008 Закрытие клиента тестирования
	И я закрываю сеанс TESTCLIENT